# -*- coding: utf_8 -*-

from direct.showbase.ShowBase import ShowBase
from modules.location import gameLocation
from modules.player import gamePlayer
from modules.bot import gameBot
from pandac.PandaModules import *
from direct.gui.DirectGui import *
import sys
from CameraHandler import CameraHandler

###
#loadPrcFileData('', 'load-display pandagl')
loadPrcFileData('', 'load-display pandadx9')
#loadPrcFileData('', 'load-display pandadx8')
loadPrcFileData('', 'text-encoding utf8')
loadPrcFileData('', 'window-title Tanki')

class MyApp(ShowBase):
	def __init__(self):
		ShowBase.__init__(self)
		
		base.accept("escape", sys.exit)
		base.cTrav = CollisionTraverser()
		
		
		environ=gameLocation()
		environ.initTerrain()
		environ.loadTerrain('res/textures/heightfield.png')
		environ.setTexture('res/textures/grass2.png',1,1)
		environ.setLights(Vec4(0.6,0.6,0.6,1), Vec4(1,1,1,1))
		
		loc = environ.getRootEnviron()
		#print loc.getNormal(1,1,1,1)
		
		#CH = CameraHandler()
		#CH.camDist=100
		#CH.setTarget(140,150,0)
		
		player = gamePlayer("res/actors/tankNO", (30,30,0,0,0,0),"Т-34\nСупер танк PLAYER",2,5)
		
		#"""
		self.bots=[]
		for k in xrange(0,7):
			for h in xrange(0,7):
				self.bots.append(gameBot("res/actors/tank", (k*1.5+30,h*1.5+30,0,0,0,0),"Т-34\nСупер танк Бот",2, 1))
		#"""
		
		#bot2 = gameBot("res/actors/tankNO", (32,32,0,0,0,0),"Т-34\nСупер танк Бот2",2,1)
		
		
		#base.cTrav.showCollisions(render)
		
		

app = MyApp()
#render.explore()
run()