# -*- coding: utf_8 -*-

from pandac.PandaModules import *
from direct.task import Task
from math import pi
from modules.tank import gameTank

class gameBot(object):
	def __init__(self, model= "res/actors/tank", pos = (2,2,0,0,0,0), nick = "default-bot", mask = 0, speed = 2):
		self.bot = gameTank(model, pos, nick, mask, speed)
		self.bot.napravlenie = -1
		self.nodeBot = self.bot.node
		#print dir(self.bot.node)
		taskMgr.add(self.moveBOT, 'move-task-BOT')
		
	def moveBOT(self, task):
		elapsed = globalClock.getDt()
		
		self.nodeBot.setY(self.nodeBot, elapsed*self.bot.speed)
		
		self.bot.angleTank = self.bot.angleTank + (elapsed*3.0 * self.bot.napravlenie)
		
		#print self.bot.napravlenie
		
		return Task.cont